Bug 111923 - Rendering of Textbox animation shows visual artifacts with transparency
Summary: Rendering of Textbox animation shows visual artifacts with transparency
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.5.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-20 03:38 UTC by Darrell
Modified: 2018-08-29 02:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Image capture (67.42 KB, image/png)
2017-08-20 03:40 UTC, Darrell
Details
Slide Transition Example (316.51 KB, image/png)
2017-08-20 20:08 UTC, Darrell
Details
Example Presentation (2.10 MB, application/vnd.oasis.opendocument.presentation)
2017-08-20 20:09 UTC, Darrell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Darrell 2017-08-20 03:38:16 UTC
Description:
I create a slideshow with a busy background and a text box that is semi-transparent. With every version after 5.2.7, I get these residual effects (tiny little pixel blocks around the text). I'll try to upload an example.

Steps to Reproduce:
1. Create presentation with background and semi-transparent text box
2. Start presentation
3. See the pixels

Actual Results:  
Pixels around text

Expected Results:
No pixels?


Reproducible: Always

User Profile Reset: Yes

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Darrell 2017-08-20 03:40:43 UTC
Created attachment 135669 [details]
Image capture
Comment 2 Jean-Baptiste Faure 2017-08-20 06:48:11 UTC
Please try again with OpenGL and/or hardware acceleration disabled. Is it better?

Please attach the test file you used for the screencopy. Or, if not possible for confidentiality reasons, a minimal test file and the corresponding screencopy.

Set status to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 3 V Stuart Foote 2017-08-20 12:17:11 UTC
Looks like a duplicate of bug 107090, in which case OpenGL (if supported) should be fine, as should disabling hardware acceleration to use CPU only for rendering.
Comment 4 Darrell 2017-08-20 20:08:42 UTC
Created attachment 135676 [details]
Slide Transition Example
Comment 5 Darrell 2017-08-20 20:09:21 UTC
Created attachment 135677 [details]
Example Presentation
Comment 6 Darrell 2017-08-20 20:12:00 UTC
Comment added by request. If I turn off hardware acceleration and no OpenGL, the shaded text box is opaque and choppy during transition. No residual effects.
Comment 7 Jean-Baptiste Faure 2017-08-21 04:50:50 UTC
(In reply to Darrell from comment #6)
> Comment added by request. If I turn off hardware acceleration and no OpenGL,
> the shaded text box is opaque and choppy during transition. No residual
> effects.

Thank you for the test file. Not reproducible for me under Linux / Ubuntu (LO 5.4 and current master).
Please, as suggested in comment #3, could you check if view is correct with OpenGL enabled and hardware acceleration disabled ?

Set status to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Thank you very much for your help.
Best regards. JBF
Comment 8 Darrell 2017-08-21 23:48:26 UTC
With hardware acceleration and OpenGL turned off, it doesn't show the residual effects, but the semi-transparent text box is solid on transition and transition is a bit choppy (same as the "Slide Transition Example" image). I'd think it was my computer, but this happens on every computer I have 5.3/5.4 installed on, Windows 10 & 7.
Comment 9 Darrell 2017-08-21 23:50:44 UTC
Correction to comment 8. OpenGL is enabled for that test.
Comment 10 Jean-Baptiste Faure 2017-08-27 15:44:49 UTC
(In reply to Darrell from comment #8)
> With hardware acceleration and OpenGL turned off, it doesn't show the
> residual effects, but the semi-transparent text box is solid on transition
> and transition is a bit choppy (same as the "Slide Transition Example"
> image). I'd think it was my computer, but this happens on every computer I
> have 5.3/5.4 installed on, Windows 10 & 7.

What do you mean by "the semi-transparent text box is solid on transition"?
Opaque ?

Best regards. JBF
Comment 11 Darrell 2017-08-27 17:46:21 UTC
In the example presentation, you can see that I create a text box that has background color and 25% transparency. When I click to start the animation, the text background turns opaque (see Slide Transition Example) until it finishes, then turns semi-transparent again.
Comment 12 V Stuart Foote 2017-08-27 19:00:06 UTC
(In reply to Darrell from comment #11)
> In the example presentation, you can see that I create a text box that has
> background color and 25% transparency. When I click to start the animation,
> the text background turns opaque (see Slide Transition Example) until it
> finishes, then turns semi-transparent again.

Confirming with sample presentation attachment 135677 [details], The pixel artifacts are present with Hardware Acceleration, absent with OpenGL and CPU only rendering, that text rendering issue is bug 107090

Weird, as handling of the transparency of the Text box animation is correct with HA, but goes opaque with CPU only or with OpenGL rendering. That is--as animation begin (entrance split, or exit split) the transparent text box goes opaque and is then animated. But it is correct with Hardware Acceleration.

=-testing on-=
Windows 10 Home 64-bit en-US (v1703) with Intel(R) HD Graphics 620 (21.20.16.4550)

Version: 6.0.0.0.alpha0+ (x64)
Build ID: c420f36d9a19bb0b9da5cefa0c1b54b60ccb41a8
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-08-26_00:07:29
Locale: en-US (en_US); Calc: CL

and with 

Version: 5.4.1.1 (x64)
Build ID: a5be49f0c45fe24a575c7f41559aa8fc79a781a2
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 13 QA Administrators 2018-08-29 02:42:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug